/* Helper class starts */
.rtl {
    direction: rtl !important;
}
.ltr {
    direction: ltr !important;
}
.min-w-250 {
    min-width: 250px;
}
.max-w-130 {
    max-width: 130px;
}
.max-width-60{
    max-width: 60px;
}

.fw-150 {
    width: 150px;
}
.min-width-120 {
    min-width: 120px;
}
.min-width-100 {
    min-width: 100px;
}
.min-width-80 {
    min-width: 80px;
}
.text-decoration-none{
    text-decoration: none !important;
}

/* Helper class ends */

/* sider navbar css over write start */
.sidebar.sidebar-style-2 .nav .nav-item .selected > a {
    background: rgba(199, 199, 199, 0.2);
}
/* sider navbar css over write end */

/* bootstrap image thumbnail customize start */
.img-thumbnail {
    max-width: 400px;
}
/* bootstrap image thumbnail customize end */

/* select2 CSS */
.select2-container--default .select2-selection--single {
    height: 45px;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 42px;
    padding-left: 20px;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow
    b {
    border-color: #fff transparent transparent transparent;
    margin-top: 6px;
}
.select2-container {
    width: 100% !important;
}

/* image table preview for dropzone edit form start */
#imgtable .trdb {
    display: inline-block;
    position: relative;
    margin-right: 15px;
}

#imgtable .trdb button {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0px 5px;
}

#imgtable .trdb td {
    padding: 0px !important;
}
.dropzone {
    padding: 45px 40px 45px !important;
}
/* image table preview for dropzone edit form end */

/* iconpicker input field start */
.iconpicker-popover.popover
    .popover-title
    input[type="search"].iconpicker-search {
    direction: ltr !important;
}
/* iconpicker input field end */

/* request loader css start */
.request-loader {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #0000007a;
    z-index: 10000;
    display: none;
}

.request-loader img {
    position: fixed;
    display: none;
    width: 80px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.request-loader.show {
    display: block;
}

.request-loader.show img {
    display: block;
}
/* request loader css end */

/* summernote css starts */
.note-editor.note-frame .note-btn.note-image-btn,
.note-editor.note-frame .note-btn.note-video-btn,
.note-editor.note-frame .note-btn.note-link-btn {
    border: 1px solid #31ce36 !important;
    background: #31ce36 !important;
}

.sn-checkbox-open-in-new-window.form-check [type="checkbox"]:checked,
.sn-checkbox-open-in-new-window.form-check [type="checkbox"]:not(:checked) {
    left: 30px;
}
.form-check.sn-checkbox-open-in-new-window {
    padding-left: 30px;
}
.sn-checkbox-use-protocol.form-check [type="checkbox"]:checked,
.sn-checkbox-use-protocol.form-check [type="checkbox"]:not(:checked) {
    left: 30px;
}
.form-check.sn-checkbox-use-protocol {
    padding-left: 30px;
}
.form-check.sn-checkbox-use-protocol {
    display: none;
}
.sn-checkbox-open-in-new-window.form-check {
    display: none;
}
/* summernote css ends */

/* summernote rtl css starts */
.note-editor.note-frame .note-editing-area .note-editable.rtl {
    text-align: right !important;
}
/* summernote rtl css ends */

.list-group .list-group-item {
    display: block;
}
#myEditor li.list-group-item {
    cursor: move;
    border-left-width: 1px;
    border-right-width: 1px;
}

.custom-file-label::after {
    color: #fff;
    background-color: #1a2035;
    border-left: 1px solid #2f374b;
}
label.custom-file-label {
    background-color: #1a2035;
    border: 1px solid #2f374b;
}

.logo-header .logo .navbar-brand {
    max-width: 140px;
    height: auto;
}
.dropdown-item button.deletebtn {
    background: none;
    border: none;
    font-size: 13px;
    color: #212529;
    padding: 0;
}

/* START: CSS for Summernote Content */
.note-editor.note-frame .note-editing-area .note-editable article,
.note-editor.note-frame .note-editing-area .note-editable aside,
.note-editor.note-frame .note-editing-area .note-editable details,
.note-editor.note-frame .note-editing-area .note-editable figcaption,
.note-editor.note-frame .note-editing-area .note-editable figure,
.note-editor.note-frame .note-editing-area .note-editable footer,
.note-editor.note-frame .note-editing-area .note-editable header,
.note-editor.note-frame .note-editing-area .note-editable hgroup,
.note-editor.note-frame .note-editing-area .note-editable menu,
.note-editor.note-frame .note-editing-area .note-editable nav,
.note-editor.note-frame .note-editing-area .note-editable section {
    display: block;
}

.note-editor.note-frame .note-editing-area .note-editable i,
.note-editor.note-frame .note-editing-area .note-editable span,
.note-editor.note-frame .note-editing-area .note-editable a {
    display: inline;
}
.note-editor.note-frame .note-editing-area .note-editable ul {
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

.note-editor.note-frame .note-editing-area .note-editable ol {
    display: block;
    list-style-type: decimal;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

.note-editor.note-frame .note-editing-area .note-editable th,
.note-editor.note-frame .note-editing-area .note-editable td {
    font-size: 14px;
    border-top-width: 0px;
    border-bottom: 1px solid;
    border-color: #ebedf2 !important;
    padding: 0 25px !important;
    height: 60px;
    vertical-align: middle !important;
    color: #000;
}

.note-editor.note-frame .note-editing-area .note-editable a {
    color: inherit;
    text-decoration: none;
}

.note-editor.note-frame .note-editing-area .note-editable a:hover,
.note-editor.note-frame .note-editing-area .note-editable a:focus {
    color: inherit;
    text-decoration: none;
}

.note-editor.note-frame .note-editing-area .note-editable a:focus,
.note-editor.note-frame .note-editing-area .note-editable input:focus,
.note-editor.note-frame .note-editing-area .note-editable textarea:focus,
.note-editor.note-frame .note-editing-area .note-editable button:focus {
    text-decoration: none;
    outline: none;
}

.note-editor.note-frame .note-editing-area .note-editable h1,
.note-editor.note-frame .note-editing-area .note-editable h2,
.note-editor.note-frame .note-editing-area .note-editable h3,
.note-editor.note-frame .note-editing-area .note-editable h4 {
    font-weight: 700;
}
/* END: CSS for Summernote Content */

/* START:  CSS to match with frontend (brought frontend 'style.css' file) */
.note-editor.note-frame .note-editing-area .note-editable h1,
.note-editor.note-frame .note-editing-area .note-editable h2,
.note-editor.note-frame .note-editing-area .note-editable h3,
.note-editor.note-frame .note-editing-area .note-editable h4,
.note-editor.note-frame .note-editing-area .note-editable h5,
.note-editor.note-frame .note-editing-area .note-editable h6 {
    font-family: "Poppins", sans-serif;
    color: #222f5a;
    margin: 0px;
}

.note-editor.note-frame .note-editing-area .note-editable h1 {
    font-size: 50px;
    line-height: 65px;
}

.note-editor.note-frame .note-editing-area .note-editable h2 {
    font-size: 40px;
    line-height: 50px;
}

.note-editor.note-frame .note-editing-area .note-editable h3 {
    font-size: 30px;
    line-height: 40px;
}

.note-editor.note-frame .note-editing-area .note-editable h4 {
    font-size: 22px;
    line-height: 30px;
}

.note-editor.note-frame .note-editing-area .note-editable h5 {
    font-size: 20px;
}

.note-editor.note-frame .note-editing-area .note-editable h6 {
    font-size: 16px;
}

.note-editor.note-frame .note-editing-area .note-editable p {
    color: #565872;
    margin: 0px;
}

.note-editor.note-frame .note-editing-area .note-editable body {
    font-family: "Rubik", sans-serif;
    font-weight: normal;
    font-style: normal;
    color: #565872;
    font-size: 16px;
    line-height: 30px;
    overflow-x: hidden;
}
/* END:  CSS to match with frontend (brought frontend 'style.css' file) */

.w-100 {
    width: 100%;
}
.mw-100 {
    max-width: 100%;
}
.showImage {
    position: relative;
    display: inline-block;
}

.showImage .remove-image {
    position: absolute;
    font-weight: 700;
    top: -23px;
    right: -17px;
    font-size: 20px;
    cursor: pointer;
    transition: 0.3s;
}

.showImage .remove-image i:hover {
    color: #fff;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}

.showImage .remove-image i:hover {
    color: #ff3737;
}
a.card.card-stats {
    text-decoration: none;
}
/* Jquery Timepicker */

.ui-timepicker-container.ui-timepicker-no-scrollbar.ui-timepicker-standard {
    position: absolute;
    max-height: 230px;
    overflow-y: scroll;
    max-width: 160px;
    overflow-x: hidden;
}

.ui-timepicker-container.ui-timepicker-no-scrollbar.ui-timepicker-standard {
    z-index: 10000 !important;
}

.ui-menu .ui-menu-item a {
    display: block;
    text-align: center;
}

ul.ui-timepicker-viewport {
    padding: 0;
}

/* Buy plan checkout CSS */
.card-pricing .specification-list li span {
    font-size: 16px;
    opacity: 0.9;
}

.thumb-preview {
    max-width: 350px;
    border-radius: 10px;
    padding: 5px;
    background-color: #f1f1f1;
    display: inline-block;
}

.thumb-preview img {
    width: 100%;
}
.form-group .upload-btn {
    position: relative;
    overflow: hidden;
}

.form-group .upload-btn .img-input,
.thumb-img-input,
.cover-img-input,
.background-img-input {
    position: absolute;
    top: 5px;
    left: 10px;
    margin: 0;
    border: solid transparent;
    width: 112px;
    opacity: 0;
}

/* datepicker */

.datepicker td,
.datepicker th {
    color: #000 !important;
}
.datepicker td.active,
.datepicker th.active {
    color: #fff !important;
}
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}
.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}
input:checked + .slider {
    background-color: #17d909;
}
input:focus + .slider {
    box-shadow: 0 0 1px #17d909;
}
input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}
.slider.round:before {
    border-radius: 50%;
}

.dropdown-menu button.deletebtn {
    background: transparent;
    border: none;
    font-size: 14px;
    display: block;
    padding-left: 25px;
}

/* chart css */
.chartjs-size-monitor {
    position: absolute;
    inset: 0px;
    overflow: hidden;
    pointer-events: none;
    visibility: hidden;
    z-index: -1;
}
.chartjs-size-monitor-expand {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    pointer-events: none;
    visibility: hidden;
    z-index: -1;
}

/* Form Builder CSS */
body[data-background-color="dark"] .ui-state-default.ui-sortable-handle,
body[data-background-color="dark"] .ui-state-default.ui-state-disabled {
    border: 1px solid rgba(181, 181, 181, 0.1) !important;
    background: #202940;
    cursor: move;
}
div#sortable form {
    cursor: all-scroll;
}

.dis-none {
    display: none;
}
.dis-block {
    display: block;
}
.disabled-btn {
    opacity: 0.2 !important;
    cursor: not-allowed !important;
    pointer-events: none;
}
/* Accordion Customize */
.version {
    border: 1px solid #0000003a;
    margin-bottom: 20px;
}

.version-header button[aria-expanded=true] {
    background-color: #6861CE !important;
    color: #fff;
}

.version-header button {
    display: block;
    width: 100%;
    text-align: left;
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    text-transform: capitalize;
    text-align: left;
    padding: 20px 30px;
}

.version-header button:hover,
.version-header button:focus {
    text-decoration: none !important;
}

body:not([data-background-color="dark"]) .version-header button {
    color: #0056b3;
}

body:not([data-background-color="dark"]) .version-header button[aria-expanded="true"],
body[data-background-color="dark"] .version-header button[aria-expanded="false"]:hover {
    color: #fff;
}

.version-header button i {
    margin-right: 10px;
}

.version-body .list-group button {
    color: #fff;
    padding-left: 60px;
    font-size: 16px;
    position: relative;
}

.version-body .list-group button::before {
    content: '\f101';
    font-family: 'Font Awesome 5 Free';
    font-weight: 600;
    margin-right: 10px;
}

.version-body .list-group button a {
    border-radius: 50px;
    float: right;
    margin-right: 30px;
}

.version-body .list-group button a.activated {
    cursor: auto;
    background-color: #31CE36 !important;
    border: 1px solid #31CE36 !important;
}

.variant-main {
    border: 1px solid #ebecec;
}

.options-container .option-box {
    position: relative;
    border: 1px solid #ebecec;
    margin-top: 10px;
}

.options-container .option-box .delete-option,
.options-container .option-box .remove-option {
    position: absolute;
    top: 0px;
    right: 0px;
    border-radius: 0;
    padding: 5px 10px;
}

.form-group .upload-btn {
    position: relative;
    overflow: hidden;
}

.form-group .upload-btn .img-input,
.form-group .upload-btn .thumbnail-input {
    position: absolute;
    top: 5px;
    left: 10px;
    margin: 0;
    border: solid transparent;
    width: 112px;
    opacity: 0;
}

form input,
form textarea,
form select {
    direction: ltr;
}

form .note-editor.note-frame .note-editing-area .note-editable {
    direction: ltr;
    text-align: left;
}

form:not(.modal-form) input,
form:not(.modal-form) textarea,
form:not(.modal-form) select,
select[name='language'] {
    direction: ltr;
}

form:not(.modal-form) .note-editor.note-frame .note-editing-area .note-editable {
    direction: ltr;
    text-align: left;
}
@media only screen and (max-width: 992px) {
    .img-thumbnail {
        max-width: 230px;
    }
    .language_relateBtn{
        display: inline-block !important;
    }
    .language_relateBtn a{
        margin-bottom: 5px;
    }
}
